clang 10.0.0git

Classes | Public Member Functions | Public Attributes | Friends | List of all members
clang::ReturnAdjustment Struct Reference

A return adjustment. More...

`#include "clang/Basic/ABI.h"`

Collaboration diagram for clang::ReturnAdjustment:
[legend]

## Classes
union | VirtualAdjustment
| Holds the ABI-specific information about the virtual return adjustment, if needed. More...

## Public Member Functions
| ReturnAdjustment ()
bool | isEmpty () const

## Public Attributes
int64_t | NonVirtual
| The non-virtual adjustment from the derived object to its nearest virtual base. More...
union clang::ReturnAdjustment::VirtualAdjustment | Virtual

## Friends
bool | operator== (const ReturnAdjustment &LHS, const ReturnAdjustment &RHS)
bool | operator!= (const ReturnAdjustment &LHS, const ReturnAdjustment &RHS)
bool | operator< (const ReturnAdjustment &LHS, const ReturnAdjustment &RHS)

## Detailed Description

A return adjustment.

Definition at line 41 of file ABI.h.

## Constructor & Destructor Documentation

## ◆ ReturnAdjustment()

clang::ReturnAdjustment::ReturnAdjustment | ( |  | ) |
| inline

Definition at line 84 of file ABI.h.

## Member Function Documentation

## ◆ isEmpty()

bool clang::ReturnAdjustment::isEmpty | ( |  | ) | const
| inline

Definition at line 86 of file ABI.h.

References clang::ReturnAdjustment::VirtualAdjustment::isEmpty(), and Virtual.

Referenced by dumpMicrosoftThunkAdjustment(), clang::CodeGen::CodeGenFunction::EmitCallAndReturnForThunk(), clang::ThunkInfo::isEmpty(), isStreamCharSpecialization(), mangleThunkThisAdjustment(), and setThunkProperties().

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const ReturnAdjustment & | LHS,
|  | const ReturnAdjustment & | RHS
| ) |  |
| friend

Definition at line 93 of file ABI.h.

## ◆ operator<

bool operator< | ( | const ReturnAdjustment & | LHS,
|  | const ReturnAdjustment & | RHS
| ) |  |
| friend

Definition at line 97 of file ABI.h.

## ◆ operator==

bool operator== | ( | const ReturnAdjustment & | LHS,
|  | const ReturnAdjustment & | RHS
| ) |  |
| friend

Definition at line 88 of file ABI.h.

## Member Data Documentation

## ◆ NonVirtual

int64_t clang::ReturnAdjustment::NonVirtual

The non-virtual adjustment from the derived object to its nearest virtual base.

Definition at line 44 of file ABI.h.

Referenced by dumpMicrosoftThunkAdjustment(), isStreamCharSpecialization(), and performTypeAdjustment().

## ◆ Virtual

union clang::ReturnAdjustment::VirtualAdjustment clang::ReturnAdjustment::Virtual

Referenced by dumpMicrosoftThunkAdjustment(), isEmpty(), clang::ThisAdjustment::isEmpty(), isStreamCharSpecialization(), clang::ReturnAdjustment::VirtualAdjustment::Less(), clang::ThisAdjustment::VirtualAdjustment::Less(), and performTypeAdjustment().

The documentation for this struct was generated from the following file:

- include/clang/Basic/ABI.h